<section class="gradient-custom">
  <div class="container py-5 h-100">
    <div class="row d-flex justify-content-center align-items-center h-100">
      <div class="col-12 col-md-8 col-lg-6 col-xl-5">
        <div class="card bg-dark text-white" style="border-radius: 1rem;">
          <div class="card-body p-5 text-center">

                          {% with messages = get_flashed_messages() %}
                              {% if messages %}
                                  <div class="notification is-danger">
                                      {{ messages[0] }}. Go to <a href="{{ url_for('login') }}">login page</a>.
                                  </div>
                              {% endif %}
                          {% endwith %}


          <form method="POST" action="/signup">
                                
            <div class="mb-md-5 mt-md-4 pb-5">
              <h2 class="fw-bold mb-2 text-uppercase">Connectez-toi</h2>
              <p class="text-white-50 mb-5">Veuillez entrer votre identifiant et votre mot de passe s'il vous plait!</p>

              <div class="form-outline form-white mb-4">
                <input type="email" name="email" id="typeEmailX" class="form-control form-control-lg" />
                <label class="form-label" for="typeEmailX">Email</label>
              </div>

              <div class="form-outline form-white mb-4">
                <input type="text" name="name" id="typeNameX" class="form-control form-control-lg" />
                <label class="form-label" for="typeNameX">Nom</label>
              </div>

              <div class="form-outline form-white mb-4">
                <input type="password" name="password" id="typePasswordX" class="form-control form-control-lg" />
                <label class="form-label" for="typePasswordX">Mot de passe</label>
              </div>


              <button class="btn btn-outline-light btn-lg px-5" type="submit">S'inscrire</button>



            </div>

            <div>
              <p class="mb-0">Vous n'avez pas de compte ? <a href="#!" class="text-white-50 fw-bold">Inscrivez-vous !</a></p>
            </div>
          </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>